import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { RechargeRecord } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-12-10 14:46
 */
interface RechargeRecordCU extends ConditionUtil<RechargeRecordCU> {
    RECORD_ID: FieldUtil<RechargeRecordCU>;
    COUPON_ID: FieldUtil<RechargeRecordCU>;
    LOT_ID: FieldUtil<RechargeRecordCU>;
    CREATE_DATE: FieldUtil<RechargeRecordCU>;
    COUPON_TYPE: FieldUtil<RechargeRecordCU>;
    TOTAL_MONEY: FieldUtil<RechargeRecordCU>;
    TOTAL_TIME: FieldUtil<RechargeRecordCU>;
    TOTAL_NUM: FieldUtil<RechargeRecordCU>;
    PAY_MONEY: FieldUtil<RechargeRecordCU>;
    PAY_STATUS: FieldUtil<RechargeRecordCU>;
    EI_TIME: FieldUtil<RechargeRecordCU>;
    EI_STATUS: FieldUtil<RechargeRecordCU>;
    EI_MSG: FieldUtil<RechargeRecordCU>;
    MER_ID: FieldUtil<RechargeRecordCU>;
    CREATE_USER: FieldUtil<RechargeRecordCU>;
    RECHARGE_METHOD: FieldUtil<RechargeRecordCU>;
    OUT_ORDER_NO: FieldUtil<RechargeRecordCU>;
    PAYMENT_TYPE: FieldUtil<RechargeRecordCU>;
    TRADE_ID: FieldUtil<RechargeRecordCU>;
    ERROR_DESC: FieldUtil<RechargeRecordCU>;
}
declare class RechargeRecordMU extends TableUtilImpl<RechargeRecordCU, RechargeRecord> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): RechargeRecordCU;
    static get RECORD_ID(): FieldUtil<RechargeRecordCU>;
    static get COUPON_ID(): FieldUtil<RechargeRecordCU>;
    static get LOT_ID(): FieldUtil<RechargeRecordCU>;
    static get CREATE_DATE(): FieldUtil<RechargeRecordCU>;
    static get COUPON_TYPE(): FieldUtil<RechargeRecordCU>;
    static get TOTAL_MONEY(): FieldUtil<RechargeRecordCU>;
    static get TOTAL_TIME(): FieldUtil<RechargeRecordCU>;
    static get TOTAL_NUM(): FieldUtil<RechargeRecordCU>;
    static get PAY_MONEY(): FieldUtil<RechargeRecordCU>;
    static get PAY_STATUS(): FieldUtil<RechargeRecordCU>;
    static get EI_TIME(): FieldUtil<RechargeRecordCU>;
    static get EI_STATUS(): FieldUtil<RechargeRecordCU>;
    static get EI_MSG(): FieldUtil<RechargeRecordCU>;
    static get MER_ID(): FieldUtil<RechargeRecordCU>;
    static get CREATE_USER(): FieldUtil<RechargeRecordCU>;
    static get RECHARGE_METHOD(): FieldUtil<RechargeRecordCU>;
    static get OUT_ORDER_NO(): FieldUtil<RechargeRecordCU>;
    static get PAYMENT_TYPE(): FieldUtil<RechargeRecordCU>;
    static get TRADE_ID(): FieldUtil<RechargeRecordCU>;
    static get ERROR_DESC(): FieldUtil<RechargeRecordCU>;
    get RECORD_ID(): FieldUtil<RechargeRecordCU>;
    get COUPON_ID(): FieldUtil<RechargeRecordCU>;
    get LOT_ID(): FieldUtil<RechargeRecordCU>;
    get CREATE_DATE(): FieldUtil<RechargeRecordCU>;
    get COUPON_TYPE(): FieldUtil<RechargeRecordCU>;
    get TOTAL_MONEY(): FieldUtil<RechargeRecordCU>;
    get TOTAL_TIME(): FieldUtil<RechargeRecordCU>;
    get TOTAL_NUM(): FieldUtil<RechargeRecordCU>;
    get PAY_MONEY(): FieldUtil<RechargeRecordCU>;
    get PAY_STATUS(): FieldUtil<RechargeRecordCU>;
    get EI_TIME(): FieldUtil<RechargeRecordCU>;
    get EI_STATUS(): FieldUtil<RechargeRecordCU>;
    get EI_MSG(): FieldUtil<RechargeRecordCU>;
    get MER_ID(): FieldUtil<RechargeRecordCU>;
    get CREATE_USER(): FieldUtil<RechargeRecordCU>;
    get RECHARGE_METHOD(): FieldUtil<RechargeRecordCU>;
    get OUT_ORDER_NO(): FieldUtil<RechargeRecordCU>;
    get PAYMENT_TYPE(): FieldUtil<RechargeRecordCU>;
    get TRADE_ID(): FieldUtil<RechargeRecordCU>;
    get ERROR_DESC(): FieldUtil<RechargeRecordCU>;
}
export { RechargeRecordMU, RechargeRecordCU };
